package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractMultieditsignatoryRequest struct {
	// <ext>format:string;core:true</ext> 【电子签约文件id】电子签约文件id 【作用】 查询需修改接收方信息的电子签约文件
	ContractId *int64 `json:"contractId"`
	// 【是否使用旧的接收人姓名】是否使用旧的接收人姓名 【作用】 修改组织接收方时可仅修改签署方名称，不传入经办人姓名和联系方式时，继续使用旧的经办人姓名及联系方式，不进行修改 【传参】 取值范围：true（使用旧的经办人姓名），false（使用新的经办人姓名）；默认为true
	KeepOldReceiverName *bool `json:"keepOldReceiverName,omitempty"`
	// <ext>core:true</ext> 【需修改的签署方】需修改的签署方
	SignatoryEdits []*common.SignatoryEdits `json:"signatoryEdits"`
}

func (obj ContractMultieditsignatoryRequest) GetUrl() string {
	return "/contract/multieditsignatory"
}

func (obj ContractMultieditsignatoryRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
